Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMLegend

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMLegend

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Legend

    public class JSMLegend

extends JSMBaseObject
implements Legend

Field Summary
`java.lang.String` | `align`
`java.lang.Boolean` | `enabled`
`java.lang.String` | `layout`
`java.lang.Boolean` | `reversed`
`java.lang.String` | `verticalAlign`
`java.lang.Integer` | `x`
`java.lang.Integer` | `y`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMLegend()`

Method Summary
`java.lang.String` | `getAlign()`
`boolean` | `getEnabled()`
`java.lang.String` | `getLayout()`
`java.lang.String` | `getVerticalAlign()`
`int` | `getX()`
`int` | `getY()`
`boolean` | `isReversed()`
`Legend` | `setAlign(java.lang.String align)`
`Legend` | `setEnabled(boolean enabled)`
`Legend` | `setLayout(java.lang.String layout)`
`Legend` | `setReversed(boolean reversed)`
`Legend` | `setVerticalAlign(java.lang.String verticalAlign)`
`Legend` | `setX(int x)`
`Legend` | `setY(int y)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reversed

    public java.lang.Boolean reversed

### enabled

    public java.lang.Boolean enabled

### align

    public java.lang.String align

### layout

    public java.lang.String layout

### verticalAlign

    public java.lang.String verticalAlign

### x

    public java.lang.Integer x

### y

    public java.lang.Integer y

Constructor Detail

### JSMLegend

    public JSMLegend()

Method Detail

### setAlign

    public Legend setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `Legend`

### setLayout

    public Legend setLayout(java.lang.String layout)

  Specified by:
    `setLayout` in interface `Legend`

### setVerticalAlign

    public Legend setVerticalAlign(java.lang.String verticalAlign)

  Specified by:
    `setVerticalAlign` in interface `Legend`

### setX

    public Legend setX(int x)

  Specified by:
    `setX` in interface `Legend`

### setY

    public Legend setY(int y)

  Specified by:
    `setY` in interface `Legend`

### getAlign

    public java.lang.String getAlign()

  Specified by:
    `getAlign` in interface `Legend`

### getLayout

    public java.lang.String getLayout()

  Specified by:
    `getLayout` in interface `Legend`

### getVerticalAlign

    public java.lang.String getVerticalAlign()

  Specified by:
    `getVerticalAlign` in interface `Legend`

### getX

    public int getX()

  Specified by:
    `getX` in interface `Legend`

### getY

    public int getY()

  Specified by:
    `getY` in interface `Legend`

### getEnabled

    public boolean getEnabled()

  Specified by:
    `getEnabled` in interface `Legend`

### setEnabled

    public Legend setEnabled(boolean enabled)

  Specified by:
    `setEnabled` in interface `Legend`

### setReversed

    public Legend setReversed(boolean reversed)

  Specified by:
    `setReversed` in interface `Legend`

### isReversed

    public boolean isReversed()

  Specified by:
    `isReversed` in interface `Legend`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD